Package org.eclipse.birt.core.script

# Class BaseScriptable

java.lang.Object
org.eclipse.birt.core.script.BaseScriptable

All Implemented Interfaces:
  `org.mozilla.javascript.Scriptable`

Direct Known Subclasses:
  `ScriptableParameter`, `ScriptableParameters`

public abstract class BaseScriptable extends Object implements org.mozilla.javascript.Scriptable
An empty implementation of interface `Scriptable`

## Field Summary

### Fields inherited from interface org.mozilla.javascript.Scriptable

`NOT_FOUND`

## Constructor Summary

Constructors
Constructor
Description
`BaseScriptable()`
`BaseScriptable(org.mozilla.javascript.Scriptable parent)`

## Method Summary

Modifier and Type
Method
Description
`void`
`delete(int arg0)`
`void`
`delete(String arg0)`
`Object`
`get(int arg0, org.mozilla.javascript.Scriptable arg1)`
`Object`
`getDefaultValue(Class arg0)`
`Object[]`
`getIds()`
`org.mozilla.javascript.Scriptable`
`getParentScope()`
`org.mozilla.javascript.Scriptable`
`getPrototype()`
`boolean`
`has(int arg0, org.mozilla.javascript.Scriptable arg1)`
`boolean`
`hasInstance(org.mozilla.javascript.Scriptable arg0)`
`void`
`put(int arg0, org.mozilla.javascript.Scriptable arg1, Object arg2)`
`void`
`setParentScope(org.mozilla.javascript.Scriptable parent)`
`void`
`setPrototype(org.mozilla.javascript.Scriptable prototype)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mozilla.javascript.Scriptable

`get, getClassName, has, put`

## Constructor Details

### BaseScriptable

public BaseScriptable()

### BaseScriptable

public BaseScriptable(org.mozilla.javascript.Scriptable parent)

## Method Details

### delete

public void delete(String arg0)

Specified by:
  `delete` in interface `org.mozilla.javascript.Scriptable`

### delete

public void delete(int arg0)

Specified by:
  `delete` in interface `org.mozilla.javascript.Scriptable`

### get

public Object get(int arg0, org.mozilla.javascript.Scriptable arg1)

Specified by:
  `get` in interface `org.mozilla.javascript.Scriptable`

### getDefaultValue

public Object getDefaultValue(Class arg0)

Specified by:
  `getDefaultValue` in interface `org.mozilla.javascript.Scriptable`

### getIds

public Object[] getIds()

Specified by:
  `getIds` in interface `org.mozilla.javascript.Scriptable`

### getParentScope

public org.mozilla.javascript.Scriptable getParentScope()

Specified by:
  `getParentScope` in interface `org.mozilla.javascript.Scriptable`

### getPrototype

public org.mozilla.javascript.Scriptable getPrototype()

Specified by:
  `getPrototype` in interface `org.mozilla.javascript.Scriptable`

### has

public boolean has(int arg0, org.mozilla.javascript.Scriptable arg1)

Specified by:
  `has` in interface `org.mozilla.javascript.Scriptable`

### hasInstance

public boolean hasInstance(org.mozilla.javascript.Scriptable arg0)

Specified by:
  `hasInstance` in interface `org.mozilla.javascript.Scriptable`

### put

public void put(int arg0, org.mozilla.javascript.Scriptable arg1, Object arg2)

Specified by:
  `put` in interface `org.mozilla.javascript.Scriptable`

### setParentScope

public void setParentScope(org.mozilla.javascript.Scriptable parent)

Specified by:
  `setParentScope` in interface `org.mozilla.javascript.Scriptable`

### setPrototype

public void setPrototype(org.mozilla.javascript.Scriptable prototype)

Specified by:
  `setPrototype` in interface `org.mozilla.javascript.Scriptable`